Package pyamf :: Package remoting :: Package client

[hide private]
[frames] | no frames]

# Package client

source code

Remoting client implementation.

Since: 0.1.0

Classes | [hide private]

| ServiceMethodProxy Serves as a proxy for calling a service method.
| ServiceProxy Serves as a service object proxy for RPC calls.
| RequestWrapper A container object that wraps a service method request.
| RemotingService Acts as a client for AMF calls.

Functions | [hide private]

convert_args(args) | source code

Variables | [hide private]

| DEFAULT_CLIENT_TYPE = `0` Default AMF client type.
| DEFAULT_USER_AGENT = ``'``PyAMF/0.4.1``'`` Default user agent is `PyAMF/x.x.x`.
| HTTP_OK = `200`

Imports: httplib, urlparse, pyamf, remoting, logging

Variables Details | [hide private]

### DEFAULT_CLIENT_TYPE

Default AMF client type.

See Also: ClientTypes

Value:

      0